aboutsummaryrefslogtreecommitdiffstats
path: root/emacs-scala-mode/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2013-06-11 14:55:11 +0200
committerMattias Andrée <maandree@operamail.com>2013-06-11 14:55:11 +0200
commitf324e8371df5cb05be164a62e7c5b440958a5578 (patch)
treeef2af056dc4cd3eb12b8e3fa025d6fa3c6c6f4cc /emacs-scala-mode/watch
parentadopt consolekit-git (diff)
downloadaur-packages-f324e8371df5cb05be164a62e7c5b440958a5578.tar.gz
aur-packages-f324e8371df5cb05be164a62e7c5b440958a5578.tar.bz2
aur-packages-f324e8371df5cb05be164a62e7c5b440958a5578.tar.xz
adopt emacs-scala-mode
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to '')
-rwxr-xr-xemacs-scala-mode/watch19
1 files changed, 19 insertions, 0 deletions
diff --git a/emacs-scala-mode/watch b/emacs-scala-mode/watch
new file mode 100755
index 0000000..2422906
--- /dev/null
+++ b/emacs-scala-mode/watch
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+wget http://www.scala-lang.org/downloads -O - 2>/dev/null | grep -Po 'scala-tool-support-.+>' | head -n 2 > release
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum release > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'emacs-scala-mode'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'emacs-scala-mode (unfetchable)'
+fi
+